# Objects

### DashboardUser

Profile information of a dashboard user.

```javascript
{
    "id": "1",
    "first_name": "John",
    "last_name": "Down",
    "created": <DateTime>,
    "email": "john.doe@gmail.com",
    "phone": "0791234567",
    "permissions": {
        "analytics": true,
        "appearance": true,
        "customers": true,
        "home": true,
        "orders": true,
        "products": true,
        "settings": true
    }
}
```

For more details on the `permissions` field see [Authorization](https://docs.shopgo.me/management-api/authorization).

### Tenant

Account information of a platform tenant.

```javascript
{
    "id": "1",
    "name": "matjar",
    "owner": <DashboardUser>,
    "country": "JO",    
    "store_host": "matjar.myshopgo.me",
    "subscribed": "active",
    "timezone": "Asia/Amman",
    "permissions": {
        "home": true,
        "orders": true,
        "products": true,
        "customers": true,
        "analytics": true,
        "appearance": true,
        "settings": true
    },
}
```

where the parameters are ...

| Name          | Description                                                                                                                               |
| ------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| `name`        | A unique but mutable tenant identifier                                                                                                    |
| `owner`       | Dashboard user who created and owns the tenant account                                                                                    |
| `country`     | Tenant country setting ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) code)                                      |
| `store_host`  | The most recent tenant store website hostname                                                                                             |
| `subscribed`  | Plan subscription status (either `active` or `expired`)                                                                                   |
| `timezone`    | Tenant timezone setting ([tz timezone String](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones))                              |
| `permissions` | Dashboard permissions (as described in [Authorization](https://docs.shopgo.me/management-api/authorization#changing-account-permissions)) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shopgo.me/platform-api/objects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
